test_spi_impl.cpp File Reference
`#include <gtest/gtest.h>`
`#include <utl/com/spi_bb.h>`

Go to the source code of this file.

## Classes

class | test_spi::SPI
class | test_spi::Test_spi_impl

## Namespaces

| test_spi

## Functions

| test_spi::TEST_F (Test_spi_impl, TestConcept)
| test_spi::TEST_F (Test_spi_impl, TestConstruction)
| test_spi::TEST_F (Test_spi_impl, TestFunctionality)

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file test_spi_impl.cpp.